com.jscape.inet.scp.events

## Class ScpFileDownloadedEvent

- java.lang.Object
- - com.jscape.inet.scp.events.ScpEvent
  - - com.jscape.inet.scp.events.ScpFileDownloadedEvent

-     public class ScpFileDownloadedEvent
      extends ScpEvent

  SCP file downloaded event.
  Author:
    Alex Usun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScpFileDownloadedEvent(Scp source, java.lang.String filename, long size, long time)` Creates a new event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(ScpEventListener listener)` Accepts listener for backwards dispatching.
    `java.lang.String` | `getFilename()` Returns file name.
    `long` | `getSize()` Returns file size in bytes.
    `long` | `getTime()` Returns transfer time in milliseconds.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.scp.events.ScpEvent

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScpFileDownloadedEvent

          public ScpFileDownloadedEvent(Scp source,
                                        java.lang.String filename,
                                        long size,
                                        long time)

      Creates a new event.
      Parameters:
        `source` - source
        `filename` - file name
        `size` - file size
        `time` - transfer time

  - ### Method Detail

    - #### getFilename

          public java.lang.String getFilename()

      Returns file name.
      Returns:
        file name

    - #### getSize

          public long getSize()

      Returns file size in bytes.
      Returns:
        file size in bytes

    - #### getTime

          public long getTime()

      Returns transfer time in milliseconds.
      Returns:
        transfer time in milliseconds

    - #### accept

          public void accept(ScpEventListener listener)

      Description copied from class: `ScpEvent`
      Accepts listener for backwards dispatching.
      Specified by:
        `accept` in class `ScpEvent`
      Parameters:
        `listener` - event listener
      See Also:
        `ScpEvent.accept(com.jscape.inet.scp.events.ScpEventListener)`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ScpEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved